Order - Get
curl --request GET \
--url https://api.skulabs.com/order/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/order/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/order/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skulabs.com/order/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skulabs.com/order/get"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skulabs.com/order/get")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skulabs.com/order/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"status": "unstarted",
"type": "manual",
"items": [
{}
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"details": "<unknown>"
}
],
"scans": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"barcode_id": "<string>",
"item_id": "<string>",
"variant_id": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"skipped": true,
"out_of_stock": true,
"item_skipped": true,
"note": "<string>",
"quantity": 123,
"deducted": true,
"location_id": "<string>",
"line_id": "<string>",
"sub_kit_id": "<string>",
"sub_kit_name": "<string>"
}
],
"fulfillments": [
{
"_id": "507f1f77bcf86cd799439011",
"status": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>"
}
],
"transactions": [
{
"_id": "507f1f77bcf86cd799439011",
"amount": 123,
"kind": "<string>",
"status": "<string>"
}
],
"returns": [
{
"_id": "507f1f77bcf86cd799439011",
"rma_number": "<string>",
"status": "<string>",
"items": [
{}
]
}
],
"notes": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>",
"type": "internal"
}
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"stash": {
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"date": "2025-01-15",
"ship_by_date": "2025-01-17T23:59:59.000Z",
"items": [
{
"id": "<string>",
"variant_id": "<string>",
"lineName": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"line_id": "<string>",
"metadata": "<unknown>",
"dropshipped": true
}
],
"shipping_information": {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"company": "<string>",
"method": "<string>",
"is_residential": true,
"is_valid": true,
"hash": "<string>",
"address_type": "<string>",
"address_validation_data": {}
},
"total": 123,
"tax": 123,
"shipping": 123,
"discount": 123,
"notes": "<string>",
"alternate_order_id": "<string>",
"order_id": "<string>",
"currency": "<string>"
},
"location": "<string>",
"batch_number": 123,
"batch_numbers": [
123
],
"channel_status": "<string>",
"customer_id": "507f1f77bcf86cd799439011"
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}Order
Order - Get
Retrieve a paginated list of orders with optional filtering by status, store, tags, and date ranges. Maximum page size: 100 (Standard), 250 (Pro), 500 (Enterprise).
GET
/
order
/
get
Order - Get
curl --request GET \
--url https://api.skulabs.com/order/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/order/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/order/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skulabs.com/order/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skulabs.com/order/get"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skulabs.com/order/get")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skulabs.com/order/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "507f1f77bcf86cd799439011",
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"status": "unstarted",
"type": "manual",
"items": [
{}
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"details": "<unknown>"
}
],
"scans": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"barcode_id": "<string>",
"item_id": "<string>",
"variant_id": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"skipped": true,
"out_of_stock": true,
"item_skipped": true,
"note": "<string>",
"quantity": 123,
"deducted": true,
"location_id": "<string>",
"line_id": "<string>",
"sub_kit_id": "<string>",
"sub_kit_name": "<string>"
}
],
"fulfillments": [
{
"_id": "507f1f77bcf86cd799439011",
"status": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>"
}
],
"transactions": [
{
"_id": "507f1f77bcf86cd799439011",
"amount": 123,
"kind": "<string>",
"status": "<string>"
}
],
"returns": [
{
"_id": "507f1f77bcf86cd799439011",
"rma_number": "<string>",
"status": "<string>",
"items": [
{}
]
}
],
"notes": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"note": "<string>",
"type": "internal"
}
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"stash": {
"store_id": "507f1f77bcf86cd799439011",
"id": "<string>",
"date": "2025-01-15",
"ship_by_date": "2025-01-17T23:59:59.000Z",
"items": [
{
"id": "<string>",
"variant_id": "<string>",
"lineName": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"line_id": "<string>",
"metadata": "<unknown>",
"dropshipped": true
}
],
"shipping_information": {
"name": "<string>",
"email": "<string>",
"address": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"phone": "<string>",
"company": "<string>",
"method": "<string>",
"is_residential": true,
"is_valid": true,
"hash": "<string>",
"address_type": "<string>",
"address_validation_data": {}
},
"total": 123,
"tax": 123,
"shipping": 123,
"discount": 123,
"notes": "<string>",
"alternate_order_id": "<string>",
"order_id": "<string>",
"currency": "<string>"
},
"location": "<string>",
"batch_number": 123,
"batch_numbers": [
123
],
"channel_status": "<string>",
"customer_id": "507f1f77bcf86cd799439011"
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"type": "error",
"user_error": true,
"display": "notification"
}
}Authorizations
Query Parameters
Response
Array of orders matching the query